/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TCentralComponent.h"
//---------------------------------------------------------------------
#include <cmath> // Функции вычисления синуса и косинуса
//---------------------------------------------------------------------
TCentralComponent::TCentralComponent() : Component ("Central Component")
{
    setSize (120, 70);
}
//---------------------------------------------------------------------
TCentralComponent::~TCentralComponent()
{
}
//---------------------------------------------------------------------
void TCentralComponent::paint(Graphics& Canvas)
{
    // Фон виджета - белый
    Canvas.fillAll(Colours::white);
    
    // Цвет заливки эллипса - светло-зелёный
    Canvas.setColour(Colours::lightgreen);
    // Рисуем эллипс
    Canvas.fillEllipse(10, 10, 100, 50);
    
    // Цвет контура эллипса - синий
    Canvas.setColour(Colours::blue);
    // Обводим эллипс контуром 
    // толщиной 3 пикселя
    Canvas.drawEllipse(10, 10, 100, 50, 3);
}
//---------------------------------------------------------------------
void TCentralComponent::resized()
{
}
//---------------------------------------------------------------------

