/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TMainForm.h"
#include "TCentralComponent.h"
//---------------------------------------------------------------------
TMainForm::TMainForm() : DocumentWindow(
                             JUCEApplication::getInstance()->getApplicationName(),
                             Colours::white,
                             DocumentWindow::allButtons)
{
    centreWithSize(100, 100);
    setResizable(true, false);
    setVisible(true);

    pCentralComponent = new TCentralComponent();
    setContentOwned(pCentralComponent, true);
}
//---------------------------------------------------------------------
TMainForm::~TMainForm()
{
}
//---------------------------------------------------------------------
void TMainForm::closeButtonPressed()
{
    JUCEApplication::getInstance()->systemRequestedQuit();
}
//---------------------------------------------------------------------
