/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TCentralComponent.h"
//---------------------------------------------------------------------
#include <cmath> // Функции вычисления синуса и косинуса
//---------------------------------------------------------------------
TCentralComponent::TCentralComponent() : Component ("Central Component")
{
    setSize (120, 120);
}
//---------------------------------------------------------------------
TCentralComponent::~TCentralComponent()
{
}
//---------------------------------------------------------------------
void TCentralComponent::paint(Graphics& Canvas)
{
    // Фон виджета - белый
    Canvas.fillAll(Colours::white);
    
    // Цвет заливки первого прямоугольника - красный
    Canvas.setColour(Colours::red);
    // Рисуем первый прямоугольник
    Canvas.fillRect(10, 10, 100, 100);
    
    // Цвет заливки второго прямоугольника - жёлтый
    Canvas.setColour(Colours::yellow);
    // Рисуем второй прямоугольник (внутри первого)
    Canvas.fillRect(20, 20, 80, 80);
    
    // Цвет контура второго прямоугольника - чёрный
    Canvas.setColour(Colours::black);
    // Обводим второй прямоугольник контуром 
    // толщиной 3 пикселя
    Canvas.drawRect(20, 20, 80, 80, 3);
}
//---------------------------------------------------------------------
void TCentralComponent::resized()
{
}
//---------------------------------------------------------------------

