/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TCentralComponent.h"
//---------------------------------------------------------------------
#define tr(s) String::fromUTF8(s)
//---------------------------------------------------------------------
TCentralComponent::TCentralComponent() : Component("Central Component")
{
    setSize (550, 250);
}
//------------------------------------------------------------------------------
TCentralComponent::~TCentralComponent()
{
}
//------------------------------------------------------------------------------
void TCentralComponent::paint(Graphics& Canvas)
{
    // Фон виджета - белый
    Canvas.fillAll(Colours::white);
    
    // Цвет выводимого текста - чёрный
    Canvas.setColour(Colours::black);
    
    Canvas.drawSingleLineText(tr("Однострочный текст выведен на позицию (10, 30)"), 10, 30);
    
    // Цвет выводимого текста - синий
    Canvas.setColour(Colours::blue);
    Canvas.setFont(Font(25.0000f, Font::bold));
    Canvas.drawMultiLineText(tr("Многострочный текст выведен на позицию (10, 80). \n\n\t\t\t\t\t\t\t\t\tПРИВЕТ, МИР!"), 
                                10, 80, 550);
}
//------------------------------------------------------------------------------
void TCentralComponent::resized()
{
}
//------------------------------------------------------------------------------

