/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TApplication.h"
#include "TMainForm.h"
//---------------------------------------------------------------------
TApplication::TApplication() : pMainWindow(0)
{
}
//---------------------------------------------------------------------
TApplication::~TApplication()
{
}
//---------------------------------------------------------------------
void TApplication::initialise(const String& sCommandLine)
{
    pMainWindow = new TMainForm();
}
//---------------------------------------------------------------------
void TApplication::shutdown()
{
    if(pMainWindow != 0) delete pMainWindow;
}
//---------------------------------------------------------------------
void TApplication::systemRequestedQuit()
{
    quit();
}
//---------------------------------------------------------------------
const String TApplication::getApplicationName()
{
    return "Juce Lines Demo";
}
//---------------------------------------------------------------------
const String TApplication::getApplicationVersion()
{
    return ProjectInfo::versionString;
}
//---------------------------------------------------------------------
bool TApplication::moreThanOneInstanceAllowed()
{
    return false;
}
//---------------------------------------------------------------------
