/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#include "TCentralComponent.h"
//---------------------------------------------------------------------
TCentralComponent::TCentralComponent() : Component ("Central Component")
{
    setSize(200, 200);
}
//---------------------------------------------------------------------
TCentralComponent::~TCentralComponent()
{
}
//---------------------------------------------------------------------
void TCentralComponent::paint(Graphics& Canvas)
{
    // Фон виджета - белый
    Canvas.fillAll(Colours::white);
    
    // Заливка линейным градиентом от светло-голубого до зелёного цвета
    ColourGradient LinearGradient(Colour(0xff00f7ff), 72.0f, 216.0f,
                                  Colours::green, 296.0f, 56.0f,
                                  false);
    Canvas.setGradientFill(LinearGradient);
    
    // Заливаем градиентом сектор -
    // объект класса Path
    Canvas.fillPath(Sector);
}
//---------------------------------------------------------------------
void TCentralComponent::resized()
{
    // Отрисовка фигуры
    Sector.clear();
    Sector.startNewSubPath(84.0f, 28.0f);
    Sector.quadraticTo(172.0f, 60.0f, 140.0f, 156.0f);
    Sector.lineTo(28.0f, 116.0f);
    Sector.closeSubPath();
}
//---------------------------------------------------------------------

